<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($id) {
$type = $db -> query("SELECT * FROM `news` where `id`='$id'");
if ($type -> num_rows > 0) $the = $type -> fetch_assoc(); else $the = false;
} else $the = false;
$diz -> head('Новость: '.$the['name'].'');
$diz -> title('Новость: <b>'.$the['name'].'</b>');
$count = $db -> dbcount('COUNT(`id`)','news','`id`='.$id.'');
if ($count > 0) {
$dop = null;
if ($aut) {
if ($ya['level']>4) {
$dop = '<hr><a href="func.php?mode=del&id='.$the['id'].'">Удалить</a> | <a href="func.php?mode=red&id='.$the['id'].'">Изменить</a>';
}
}
$msg .= '<div class="top">'.$func -> tags($func -> smiles($the['new'])).''.$dop.'</div>
<div class="fon">'.$func->user($the['user']).' ('.$func -> vremja($the['time']).')';
if ($aut == true and $ya['id'] <> $the['user']) {
$db -> query("UPDATE `news` SET `pr` = pr+1 where `id` = '".$id."'");$reed=$the['pr']+1;}else{$reed=$the['pr'];}
$msg .= '</br>Прочитано: <b>'.$reed.'</b> раз.</a>';
if ($the['onf']==1){
$pob = $db -> dbcount('COUNT(*)','forum_posts','`tema` = '.$the['temaonf'].'');
if ($pob==0)$pob=NULL;
else $pob=''.$pob;
$msg .= '</br><a href="../forum/tema'.$the['temaonf'].'">Обсудить на форуме</a> ('.$pob.')<br/>';
}elseif($the['onf']==2){
$pob = $db -> dbcount('COUNT(*)','comes','`where`="news" and `idwh` = '.$the['id'].'');
$msg .= '</br><a href="./com'.$the['id'].'">Комментарии</a> ('.$pob.')<br/>';
}
$r1 = $db -> dbcount('COUNT(*)','reit','`where`="news" and `komy` = '.$the['id'].' and `rei`="1"');
$r2 = $db -> dbcount('COUNT(*)','reit','`where`="news" and `komy` = '.$the['id'].' and `rei`="0"');
$msg.='<b>Рейтинг: </b>+'.$r1.'/-'.$r2.'<br/>';
if($aut==true){$msg.='Проголосовать <a href="like'.$id.'">За</a>|<a href="dislike'.$id.'">Против</a>';}
$msg.='</div>';
}else{$msg .= '<div class="fon">Извините,но новость не существует или была удалена!</div>';}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./index.php">Назад</a></br>
'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
?>